Bug 486182 - Search, search by system id not returning anything other than exact matches
Search, search by system id not returning anything other than exact matches
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: John Matthews
wes hayutin
http://grandprix.rhndev.redhat.com/rh...
:
Depends On:
Blocks: 457073
  Show dependency treegraph
 
Reported: 2009-02-18 14:18 EST by wes hayutin
Modified: 2009-09-10 15:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:32:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-02-18 14:18:10 EST
Description of problem:

Register a few machines to satellite
1. advanced search for "10" which should pick up just about any system...
no results

2. search w/ an exact match like 1000010363
and you get the correct results.

Search by ID should include any results that match the entered numbers..
Comment 1 John Matthews 2009-02-18 19:21:12 EST
Issue was 'id' was not being tokenized.

Fixed with below commit

http://git.fedorahosted.org/git/?p=spacewalk.git;a=commitdiff;h=e454139b973023ca8a2ea7c383ae435bda1551a9
Comment 2 wes hayutin 2009-02-23 15:24:27 EST
verified
Comment 9 Brandon Perkins 2009-09-10 15:32:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.